Pi Durable Platformdocs
ReferenceAgents, threads and templates

Stop and remove a conversation from the agent's list

DELETE
/v1/agents/{agentId}/threads/{threadId}

Path Parameters

agentId*string
Formatuuid
threadId*string

Client-chosen thread ID (1-64 letters, digits, dashes or underscores)

Match^[A-Za-z0-9_-]{1,64}$

Response Body

Removed

application/json
  1. response
data*
curl -X DELETE 'https://agents.example.com/v1/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/threads/string'
{  "data": {    "ok": true  }}